Bug 977192 - Met "create_job status: " error when adding jenkins client without jenkins server exists.
Met "create_job status: " error when adding jenkins client without jenkins se...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 23:39 EDT by Yujie Zhang
Modified: 2015-05-14 19:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:17:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-06-23 23:39:13 EDT
Description of problem:

Tried to add jenkins client to an application without jenkins server existing, and met "Could not add job 'php3563-build' in Jenkins server:create_job status: 
build config does not exist
You'll need to correct this error before attempting to embed the Jenkins client again."

This issue can be reproduced using rhc and website.

This issue only exists on INT(devenv_3402), does not exist on devenv_3405.
Version-Release number of selected component (if applicable):
INT(devenv_3402)

How reproducible:
always

Steps to Reproduce:
1.Create an application
2.Try to add jenkins client to the application without jenkins server exists.
3.

Actual results:

Met the following error when adding jenkins client to applicaton without jenkins server exists:

[root@dhcp-8-252 home]# rhc cartridge add -c jenkins -a php3563 
Using jenkins-client-1.4 (Jenkins Client 1.4) for 'jenkins'
Adding jenkins-client-1.4 to application 'php3563' ...    
Could not add job 'php3563-build' in Jenkins server:
   create_job status: 
build config does not exist
You'll need to correct this error before attempting to embed the Jenkins client again.


Expected results:

There should be error message like : A Jenkins server does not exist in this domain! You must create a Jenkins server before installing this cartridge. 

Additional info:
Comment 1 Dan McPherson 2013-06-24 11:34:14 EDT
I got this against INT and the devenv:

dmcphers@mcpherson:~/code/li (master)$ rhc cartridge add -a php -c jenkins
Using jenkins-client-1.4 (Jenkins Client 1.4) for 'jenkins'
Adding jenkins-client-1.4 to application 'php' ... 
A Jenkins server does not exist in this domain!
You must create a Jenkins server before installing this cartridge.

Does the app in question have a JENKINS_URL env var?  Did it have jenkins installed on it's domain at some point?
Comment 2 Wei Sun 2013-06-25 01:15:32 EDT
Checked this bug in INT(devenv_3409),can not reproduce this bug now.

Result:
1.in website
got "A Jenkins server does not exist in this domain! You must create a Jenkins server before installing this cartridge. "

2.[sunwei@dhcp-8-229 ~]$ rhc cartridge add -c jenkins -a djan --server int.openshift.redhat.com -l wsun+1@redhat.com 
Password: ******

Using jenkins-client-1.4 (Jenkins Client 1.4) for 'jenkins'
Adding jenkins-client-1.4 to application 'djan' ... 
A Jenkins server does not exist in this domain!
You must create a Jenkins server before installing this cartridge.
Comment 3 Wei Sun 2013-06-25 23:09:10 EDT
Verified on devenv_stage_380

Result:
1.in website
Got "A Jenkins server does not exist in this domain! You must create a Jenkins server before installing this cartridge. "

2.[sunwei@dhcp-8-229 dev]$ rhc cartridge add -c jenkins -a phpt
Using jenkins-client-1.4 (Jenkins Client 1.4) for 'jenkins'
Adding jenkins-client-1.4 to application 'phpt' ... 
A Jenkins server does not exist in this domain!
You must create a Jenkins server before installing this cartridge.

Note You need to log in before you can comment on or make changes to this bug.